package rocks.zipcode.quiz5.collections;

import rocks.zipcode.quiz5.objectorientation.account.BankAccount;

import java.util.ArrayList;

/**
 * @author leon on 27/12/2018.
 */
public class Bank {

    ArrayList<BankAccount> bankAccounts = new ArrayList<>();

    public Bank(ArrayList<BankAccount> bankAccounts) {
        this.bankAccounts = bankAccounts;
    }

    public Bank() {
    }

    public BankAccount removeBankAccountByIndex(Integer indexNumber) {
        BankAccount account = bankAccounts.get(indexNumber);
        ArrayList<BankAccount> newAccount = new ArrayList<>();
        for(int i = 0; i<bankAccounts.size()-1; i++){
            if(i<indexNumber){newAccount.set(i, bankAccounts.get(i));}
            else if(i>indexNumber){newAccount.set(i-1, bankAccounts.get(i));}
        }
        return account;
    }

    public void addBankAccount(BankAccount bankAccount) {
        bankAccounts.add(bankAccount);
    }

    public Boolean containsBankAccount(BankAccount bankAccount) {
            return bankAccounts.contains(bankAccount);
    }
}
