package rocks.zipcode.quiz5.objectorientation.account;

/**
 * @author leon on 27/12/2018.
 */
public class BankAccount extends Account implements Transactable {

    double balance;

    public BankAccount() {
    }

    public BankAccount(double balance) {
        this.balance = balance;
    }

    public void setBalance(Double val) {
        this.balance = val;
    }

    @Override
    public void deposit(Double amountToIncreaseBy) {
        if(amountToIncreaseBy<0 ){
            throw new IllegalArgumentException();
        }
        setBalance(this.balance + amountToIncreaseBy);
    }

    @Override
    public void withdrawal(Double amountToDecreaseBy) throws IllegalArgumentException {
        if(this.balance>=amountToDecreaseBy && amountToDecreaseBy>0){
        setBalance(this.balance - amountToDecreaseBy);}
        else throw new IllegalArgumentException();
    }

    @Override
    public Double getBalance() {
        return this.balance;
    }
}
