package rocks.zipcode.quiz5.collections;

import java.util.HashMap;
import java.util.Map;

public class WordCounter {

    String[] strings;

    public WordCounter(String... strings) {
        this.strings = strings;
    }

    public Integer wordCount(String word){
        Integer counter = 0;
        for(String s: strings){
            if(s.equals(word)){
                counter++;
            }
        }
        return counter;
    }

    public Map<String, Integer> getWordCountMap() {
        Map<String, Integer> wordCountMap = new HashMap<>();
        for (String s: strings) {
            wordCountMap.put(s, this.wordCount(s));
        }
        return wordCountMap;
    }
}
