package rocks.zipcode.quiz5.fundamentals;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author leon on 21/12/2018.
 */
public class StringUtils {
    public static Character getMiddleCharacter(String string) {
        return string.charAt(string.length()/2);
    }

    public static String capitalizeMiddleCharacter(String str) {
        String capMiddle = "";
        capMiddle = (str.substring(0, str.length()/2) + getMiddleCharacter(str).toString().toUpperCase() + str.substring(str.length()/2+1));
        return capMiddle;
    }

    public static String lowerCaseMiddleCharacter(String str) {
        String lowMiddle = "";
        lowMiddle = (str.substring(0, str.length()/2) + getMiddleCharacter(str).toString().toLowerCase() + str.substring(str.length()/2+1));
        return lowMiddle;
    }

    public static Boolean isIsogram(String str) {
        char arr[] = str.toCharArray();

        Arrays.sort(arr);
        for(int i = 0; i<arr.length-1; i++){
            if (arr[i] == arr[i+1]) {
                return false;
            }
        }
        return true;
    }

    public static Boolean hasDuplicateConsecutiveCharacters(String str) {
        char arr[] = str.toCharArray();

        for(int i = 0; i<arr.length-1; i++){
            if (arr[i] == arr[i+1]) {
                return true;
            }
        }
        return false;
    }

    public static String removeConsecutiveDuplicateCharacters(String str) {
        if(!hasDuplicateConsecutiveCharacters(str)){
            return str;
        }
        return str;
    }

    public static String invertCasing(String str) {
        char[] chars = str.toCharArray();
        for(int i = 0; i < chars.length; i++){
            char c = chars[i];
            if(Character.isUpperCase(c)){
                chars[i] = Character.toLowerCase(c);
            } else if( Character.isLowerCase(c)){
                chars[i] = Character.toUpperCase(c);
            }
        }
        return new String(chars);
    }
}